Package org.apache.sling.contentparser.api

## Interface ContentHandler

    @ConsumerType
    public interface ContentHandler

A `ContentHandler` gets notified while parsing content with a `ContentParser`. The resources are always reported in the order in which they are found in the parsed files. Parents are always reported before their children.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resource​(java.lang.String path, java.util.Map<java.lang.String,​java.lang.Object> properties)` Resource found in parsed content.

### Method Detail

#### resource

    void resource​(java.lang.String path,
                  java.util.Map<java.lang.String,​java.lang.Object> properties)

Resource found in parsed content.

Parameters:
  `path` - the path of the found resource inside the content fragment; the root resource from the content fragment will have the `"/"` path
  `properties` - the resource's properties